Bug 1031992 - ovirt-engine-dwhd service failed to start
ovirt-engine-dwhd service failed to start
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Sandro Bonazzola
Barak Dagan
: Triaged
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
Reported: 2013-11-19 05:22 EST by Larisa Ustalov
Modified: 2014-02-09 18:05 EST (History)
8 users (show)

See Also:
Fixed In Version: IS24 - rhevm-dwh-3.3.0-22.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
After a system was upgraded from 3.1 to 3.3, the ovirt user could not write to the log file because the file was previously owned by the root user. Consequently, the rhevm-dwh service failed to start. The log permissions are now correctly updated so the ovirt user can write to the log file.
Story Points: ---
Clone Of:
Last Closed: 2014-01-21 10:03:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21457 None None None Never

  None (edit)
Description Larisa Ustalov 2013-11-19 05:22:21 EST
Description of problem:
The system was upgraded from 3.1 to 3.3.
The dwh service failed to start due to user permission problem to write to log file(the user is ovirt, but the old log has root owner) 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 Charlie 2013-11-27 19:54:11 EST
This bug is currently attached to errata RHEA-2013:15116. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to 
minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 3 Barak Dagan 2013-12-08 11:58:26 EST
Verified on is26.

upgraded from si29.4 to sf22 to is26

# service ovirt-engine-dwhd status
/etc/init.d/ovirt-engine-dwhd is running (pid 26522)

# ls -ltr /var/log/ovirt-engine/ovirt-engine-dwhd.log
-rw-r--r-- 1 ovirt root 424900 Dec  8 21:56 /var/log/ovirt-engine/ovirt-engine-dwhd.log
Comment 6 errata-xmlrpc 2014-01-21 10:03:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.